function::task_dentry_path
Prev | Chapter 21. Directory-entry (dentry) Tapset | Next

## Name

function::task_dentry_path — get the full dentry path

## Synopsis

        task_dentry_path:string(task:long,dentry:long,vfsmnt:long)

## Arguments

`task`

  task_struct pointer.

`dentry`

  direntry pointer.

`vfsmnt`

  vfsmnt pointer.

## Description

Returns the full dirent name (full path to the root), like the kernel d_path function.

Prev | Up | Next
function::reverse_path_walk | Home | Chapter 22. Logging Tapset